module.exports = {
    lintOnSave: false,
    devServer: {
      host:'0.0.0.0',
      port:8000, // 服务端口 
      // port:8080,
      open: true,//配置自动启动浏览器 
      proxy: { // 设置代理
      '/metroapi': {
        target: 'http://192.168.20.58:8086',//
        changeOrigin: true, //允许跨域
        pathRewrite: {
            '^/metroapi': ''
            }
        },
        // '/apis': {
        //   target: 'http://192.168.20.54:7777',//
        //   changeOrigin: true, //允许跨域 再设立一个可以跨不同的域
        //   pathRewrite: {
        //       '^/apis': ''
        //       }
        //   }
      },
    },
    publicPath: process.env.NODE_ENV === 'production' ? './' : '/', //部署后请求路径
    outputDir:'dist', // 打包的目录
    chainWebpack: config => {
      config.module
        .rule('stylus')
        .oneOf('vue')
        .use('px2rem-loader')
        .loader('px2rem-loader')
        .before('postcss-loader') // this makes it work.
        .options({
          remUnit: 192,
          remPrecision: 8
        }) // remUnit: 192代表以1920px为整体，如果设计稿的尺寸是750px，这里的值为75
        .end()
    }
    // chainWebpack: (config) => {
    //   config.entry('main').add('babel-polyfill');
    // },
    // transpileDependencies: [
    //   'view-design'  // 指定对第三方组件也进行babel-polyfill处理
    // ]
};